关于 KK Updater 跨站被拦截的说明

简要概述下程序获取新版版本号的流程

创建AJAX请求→获取最新版版本→格式化代码(清除有害代码)→输出

在 Webkit 核心的浏览器(如 Chrome、Safari、搜狗高速模式)下,所有这些操作都能正常的完成。

但是,在某些版本的IE中,访问远程网站的资源会被浏览器拦截,从而导致无法获得最新版本号。

建议:

  • 使用Webkit核心浏览器
  • 修改IE设置

标签: 跨站


已有 5 条评论
  1. HorseLuke HorseLuke

    想法不错,只是用错方法了。
    正确的方法应该用jsonp,请参考:http://baike.baidu.com/view/2131174.htm

  2. http://www.szyrlb.com 我网站出现提示,要怎么修改IE呢?

  3. 更新被拦截,实在是烦,把更新模块删除了。
    期待作者早日修改好。

  4. 说到底还是那啥调用远程JS的问题吧...

    1. 猴子说直接用js不安全…… :arrow:

添加新评论